@import '~@angular/material/theming';

@include mat-core();

$primary-palette: (
 50: #fff3ff,
 100: #f7eaff,
 200: #ebdffa,
 300: #d9cde8,
 400: #b4a9c2,
 500: #9388a1,
 600: #6b6178,
 700: #584e64,
 800: #393045,
 900: #191024,
 contrast: (
	50: #000,
	100: #000,
	200: #000,
	300: #000,
	400: #000,
	500: #fff,
	600: #fff,
	700: #fff,
	800: #fff,
	900: #fff,
 )
);
$secondary-palette: (
50: #fbe3ec,
100: #f4b9d1,
200: #ef8bb3,
300: #e95c95,
400: #e5377d,
500: #e20066,
600: #d10063,
700: #bb015d,
800: #a60059,
900: #810050,
 contrast: (
	50: #000,
	100: #000,
	200: #000,
	300: #000,
	400: #000,
	500: #fff,
	600: #fff,
	700: #fff,
	800: #fff,
	900: #fff,
 )
);

$my-primary: mat-palette($primary-palette, 900);
$my-accent: mat-palette($secondary-palette);

$my-theme: mat-dark-theme($my-primary, $my-accent);

@include angular-material-theme($my-theme);